#include <stdio.h>

void main(void)
{
    unsigned long foo, temp, *ptr;
    float f;

    scanf("%X", &foo);
    f = (float)foo;

    ptr = (unsigned long *)&f;
    temp = *ptr;
    printf("%08X\n", temp);
}

